Subject: Re: [PATCH v2 4/4] rev-list: allow missing tips with --missing=[print|allow*]

From: Junio C Hamano <[email-masked]>
Date: Wed, 14 Feb 2024 08:49:48 -0800

Christian Couder <[email-masked]> writes:

>> >> +            /* Already add missing tips */
>> >> +            oidset_insert_from_set(&missing_objects, &revs.missing_commits);
>> >> +            oidset_clear(&revs.missing_commits);
>> >> +    }
>> >
>> > It is unclear what "already" here refers to, at least to me.
>
> I wanted to hint that we already have some missing objects that we can
> add to the set. But it's not an important detail and I agree it can be
> confusing.

I was confused primarily because "already" was not sitting next to
"missing".  I would have understood "Add already-missing tips" just
fine ;-)